Bug 1296274 - [RFE] Login page have a configurable default
Summary: [RFE] Login page have a configurable default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.0.0-rc
: 4.0.0
Assignee: Ravi Nori
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-06 18:56 UTC by Sarvesh Pandit
Modified: 2020-06-11 12:47 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, a new configuration variable, ovirt.engine.aaa.authn.default.profile, has been added to the authn configuration file. Setting this variable ensures that the profile drop-down menu on the login page defaults to the selected profile. To configure this feature, add ovirt.engine.aaa.authn.default.profile to the authn configuration file for a selected profile and set the value to true then restart the ovirt-engine service. If the ovirt.engine.aaa.authn.default.profile variable is not defined in the authn configuration file the drop-down menu defaults to internal.
Clone Of:
Environment:
Last Closed: 2016-08-23 20:31:17 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2114561 None None None 2016-01-06 19:08:34 UTC
Red Hat Product Errata RHEA-2016:1743 normal SHIPPED_LIVE Red Hat Virtualization Manager 4.0 GA Enhancement (ovirt-engine) 2016-09-02 21:54:01 UTC
oVirt gerrit 56711 master MERGED aaa: Login page have a configurable default 2020-07-06 07:39:47 UTC

Description Sarvesh Pandit 2016-01-06 18:56:27 UTC
Description of problem:

Change the profile drop-down menu when you login to the webadmin to default to something other than internal.Login page have a configurable default. Right now it defaults to internal

Comment 5 Martin Perina 2016-05-18 09:08:39 UTC
Ravi, please update doc text with details how to set default profile for login dialog

Comment 9 Martin Perina 2016-05-20 07:48:00 UTC
Yes, added into the doc.

Comment 12 Pavel Novotny 2016-08-01 12:13:14 UTC
Verified in rhevm-4.0.2.3-0.1.el7ev.noarch.

Verification:
1. Create new profile 'internal2'.
2. Add 'ovirt.engine.aaa.authn.default.profile=true' to its authn configuration file.
3. Restart engine and open the SSO login page 
   (make sure that cookies for /ovirt-engine/sso path are cleared
    or use private browsing mode).

Result: 'internal2' profile is selected in the drop down list.

Note: If the variable 'engine.aaa.authn.default.profile' is not present in any authn configuration file, than 'internal' is always the default.

Comment 15 errata-xmlrpc 2016-08-23 20:31:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1743.html


Note You need to log in before you can comment on or make changes to this bug.